Security Enhanced Linux Reference Policy

# Layer: system

## Module: clock

Interfaces

### Description:

Policy for reading and setting the hardware clock.

### Interfaces:

clock_domtrans( domain )

##### Summary

Execute hwclock in the clock domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

clock_dontaudit_write_adjtime( domain )

##### Summary

Do not audit attempts to write clock drift adjustments.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

clock_exec( domain )

##### Summary

Execute hwclock in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

clock_read_adjtime( domain )

##### Summary

Read clock drift adjustments.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

clock_run( domain , role )

##### Summary

Execute hwclock in the clock domain, and allow the specified role the hwclock domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

clock_rw_adjtime( domain )

##### Summary

Read and write clock drift adjustments.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return